#
# Makefile for OSS-compatible sequencer
#

TOPDIR  = ../../..

include $(TOPDIR)/Makefile.conf

TARGETS = $(SNDVERSIONS) \
	$(TOPDIR)/modules/snd-seq-oss.o
SYMFILES= seq_oss_export.c
OBJS = seq_oss.o seq_oss_init.o seq_oss_timer.o seq_oss_ioctl.o \
	seq_oss_event.o seq_oss_rw.o seq_oss_synth.o seq_oss_midi.o\
	seq_oss_readq.o seq_oss_writeq.o midi_coder.o\
	seq_oss_export.o\
	$(EMPTY)

include $(TOPDIR)/Rules.make

all: $(TARGETS)
	@echo
	@echo "OSS-sequencer emulation was sucessfully compiled."
	@echo

include $(TOPDIR)/Rules1.make

$(TOPDIR)/modules/snd-seq-oss.o: .depend $(SNDVERSIONS) $(OBJS)
	$(LINKER) -o $@ $(OBJS)

gcompile: $(TARGETS)

clean:
	rm -f .depend *.o *.orig snd.map snd.map? *.old *~
	rm -f core $(SNDVERSIONS) $(SYMFILES)

.depend: $(SYMFILES)
	$(CPP) $(COPTS) $(INCLUDE) *.c > .depend

dep:	.depend

dummy:

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif
